## aolserver-nspostgres 4.0beta1-3

=== Makefile ===
#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
#
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
#
# Copyright (C) 2001,2002 Scott S. Goodwin
#
# $Header: /cvsroot/aolserver/nspostgres/Makefile,v 1.9 2002/12/14 01:23:56 rmadilo Exp $
#
# nspostgres --
#
#      PostgreSQL Database Driver for AOLserver
#

ifdef INST
    NSHOME ?= $(INST)
else
    NSHOME ?= ../aolserver
endif

#
# Version number used in release tags. Valid VERs are "1.1c", "2.1", 
# "2.2beta7". VER "1.1c" will be translated into "v1_1c" by this Makefile.
#
VER_ = $(subst .,_,$(VER))

#
# Manage to find PostgreSQL components in the system, or where you specify
#
ifeq ($(POSTGRES),LSB)
    PGLIB = /usr/lib
    PGINC = /usr/include
else
    PGLIB = $(POSTGRES)/lib
    PGINC = $(POSTGRES)/include
endif
 
#
# Module name
# 
MOD       = nspostgres.so

#
# Objects to build
#
OBJS      = nspostgres.o

#
# Header files for this module
# 
HDRS      = nspostgres.h

#
# Libraries required by this module
#
MODLIBS   = -L$(PGLIB) -lpq
CFLAGS   += -DBIND_EMULATION -I$(PGINC)

#
# ACS users should set ACS=1
#
ifdef ACS
ifeq ($(ACS),1)
    CFLAGS   +=  -DFOR_ACS_USE
endif
endif

include  $(NSHOME)/include/Makefile.module

#
# Help the poor developer
#
help:
	@echo "**" 
	@echo "** DEVELOPER HELP FOR THIS MODULE"
	@echo "**"
	@echo "** make tag VER=X.Y"
	@echo "**     Tags the module CVS code with the given tag."
	@echo "**     You can tag the CVS copy at any time, but follow the rules."
	@echo "**     VER must be of the form:"
	@echo "**         X.Y"
	@echo "**         X.YbetaN"
	@echo "**     You should browse CVS at SF to find the latest tag."
	@echo "**"
	@echo "** make file-release VER=X.Y"
	@echo "**     Checks out the code for the given tag from CVS."
	@echo "**     The result will be a releaseable tar.gz file of"
	@echo "**     the form: module-X.Y.tar.gz."
	@echo "**"

#
# Tag the code in CVS right now
#
tag:
	@if [ "$$VER" = "" ]; then echo 1>&2 "VER must be set to version number!"; exit 1; fi
	cvs rtag v$(VER_) nspostgres

#
# Create a distribution file release
#
file-release:
	@if [ "$$VER" = "" ]; then echo 1>&2 "VER must be set to version number!"; exit 1; fi
	rm -rf work
	mkdir work
	cd work && cvs -d :pserver:anonymous@cvs.aolserver.sourceforge.net:/cvsroot/aolserver co -r v$(VER_) nspostgres
	mv work/nspostgres work/nspostgres-$(VER)
	(cd work && tar cvf - nspostgres-$(VER)) | gzip -9 > nspostgres-$(VER).tar.gz
	rm -rf work

nspostgres.c: check-env

.PHONY: check-env
check-env:
	@if [ "$(POSTGRES)" = "" ]; then \
	    echo "** "; \
	    echo "** POSTGRES variable not set."; \
	    echo "** nspostgres.so will not be built."; \
	    echo "** "; \
	    echo "** Usage: make POSTGRES=/path/to/postgresql"; \
	    echo "**        make POSTGRES=LSB"; \
	    echo "** "; \
	    echo "** Usage: make install POSTGRES=/path/to/postgresql INST=/path/to/aolserver"; \
	    echo "**        make install POSTGRES=LSB INST=/path/to/aolserver"; \
	    echo "** "; \
	    echo "** OpenACS users should also set ACS=1"; \
	    echo "** "; \
	    exit 1; \
	fi

=== debian/changelog ===
aolserver-nspostgres (4.0beta1-3) unstable; urgency=high

  * Missed postgresql-dev build-dep :-/

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Feb 2004 14:17:17 +0100

aolserver-nspostgres (4.0beta1-2) unstable; urgency=low

  * New maintainer (thanks David).
  * Minor changes to description and copyright
  * Removed build-dep on perl
  * Policy moved to 3.6.1

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Feb 2004 11:47:06 +0100

aolserver-nspostgres (4.0beta1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@debian.org>  Mon,  26 Jan 2003 09:50:23 +0100

=== debian/control ===
Source: aolserver-nspostgres
Section: web
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>> 3.0.0), aolserver-dev (>= 3.5.1), postgresql-dev
Standards-Version: 3.6.1

Package: aolserver-nspostgres
Architecture: any
Depends: aolserver (>= 3.5.1), ${shlibs:Depends}
Suggests: aolserver-doc (>= 3.5.1)
Description: AOLserver module: Postgres connector
 This module implements a simple AOLserver database services driver.
 .
 A database driver is a module which interfaces between the AOLserver
 database-independent nsdb module and the API of a particular DBMS.  A
 database driver's job is to open connections, send SQL statements,
 and translate the results into the form used by nsdb.  In this case,
 the driver is for the PostgreSQL ORDBMS from The PostgreSQL Global
 Development Group.  
 .
 This is the official driver for the OpenACS project.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

VER=1.4

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) -f debian/Makefile.debian nspostgres.so

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) -f debian/Makefile.debian clean

	-[ -f nspostgres.c.bak ] && mv nspostgres.c.bak nspostgres.c

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -X.bak
	dh_installdirs

# Add here commands to install the package into debian/aolserver-nspostgres.

	mv nspostgres.so $(CURDIR)/debian/aolserver-nspostgres/usr/lib/aolserver/bin/.


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
